Index: /trunk/src/bp-groups/bp-groups-actions.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-actions.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-actions.php	(revision 10373)
@@ -29,9 +29,9 @@
 
 	if ( ! $user_has_access && 'hidden' !== $current_group->status ) {
-		// Always allow access to home and request-membership
+		// Always allow access to home and request-membership.
 		if ( bp_is_current_action( 'home' ) || bp_is_current_action( 'request-membership' ) ) {
 			$user_has_access = true;
 
-		// User doesn't have access, so set up redirect args
+		// User doesn't have access, so set up redirect args.
 		} elseif ( is_user_logged_in() ) {
 			$no_access_args = array(
@@ -43,5 +43,5 @@
 	}
 
-	// Protect the admin tab from non-admins
+	// Protect the admin tab from non-admins.
 	if ( bp_is_current_action( 'admin' ) && ! bp_is_item_admin() ) {
 		$user_has_access = false;
@@ -95,5 +95,5 @@
 function groups_action_create_group() {
 
-	// If we're not at domain.org/groups/create/ then return false
+	// If we're not at domain.org/groups/create/ then return false.
 	if ( !bp_is_groups_component() || !bp_is_current_action( 'create' ) )
 		return false;
@@ -109,8 +109,8 @@
 	$bp = buddypress();
 
-	// Make sure creation steps are in the right order
+	// Make sure creation steps are in the right order.
 	groups_action_sort_creation_steps();
 
-	// If no current step is set, reset everything so we can start a fresh group creation
+	// If no current step is set, reset everything so we can start a fresh group creation.
 	$bp->groups->current_create_step = bp_action_variable( 1 );
 	if ( !bp_get_groups_current_create_step() ) {
@@ -126,5 +126,5 @@
 	}
 
-	// If this is a creation step that is not recognized, just redirect them back to the first screen
+	// If this is a creation step that is not recognized, just redirect them back to the first screen.
 	if ( bp_get_groups_current_create_step() && empty( $bp->groups->group_creation_steps[bp_get_groups_current_create_step()] ) ) {
 		bp_core_add_message( __('There was an error saving group details. Please try again.', 'buddypress'), 'error' );
@@ -132,14 +132,14 @@
 	}
 
-	// Fetch the currently completed steps variable
+	// Fetch the currently completed steps variable.
 	if ( isset( $_COOKIE['bp_completed_create_steps'] ) && !isset( $reset_steps ) )
 		$bp->groups->completed_create_steps = json_decode( base64_decode( stripslashes( $_COOKIE['bp_completed_create_steps'] ) ) );
 
-	// Set the ID of the new group, if it has already been created in a previous step
+	// Set the ID of the new group, if it has already been created in a previous step.
 	if ( isset( $_COOKIE['bp_new_group_id'] ) ) {
 		$bp->groups->new_group_id = (int) $_COOKIE['bp_new_group_id'];
 		$bp->groups->current_group = groups_get_group( array( 'group_id' => $bp->groups->new_group_id ) );
 
-		// Only allow the group creator to continue to edit the new group
+		// Only allow the group creator to continue to edit the new group.
 		if ( ! bp_is_group_creator( $bp->groups->current_group, bp_loggedin_user_id() ) ) {
 			bp_core_add_message( __( 'Only the group creator may continue editing this group.', 'buddypress' ), 'error' );
@@ -148,8 +148,8 @@
 	}
 
-	// If the save, upload or skip button is hit, lets calculate what we need to save
+	// If the save, upload or skip button is hit, lets calculate what we need to save.
 	if ( isset( $_POST['save'] ) ) {
 
-		// Check the nonce
+		// Check the nonce.
 		check_admin_referer( 'groups_create_save_' . bp_get_groups_current_create_step() );
 
@@ -175,5 +175,5 @@
 				$group_enable_forum = 0;
 			} else {
-				// Create the forum if enable_forum = 1
+				// Create the forum if enable_forum = 1.
 				if ( bp_is_active( 'forums' ) && !groups_get_groupmeta( $bp->groups->new_group_id, 'forum_id' ) ) {
 					groups_new_group_forum();
@@ -247,10 +247,10 @@
 			$bp->groups->completed_create_steps[] = bp_get_groups_current_create_step();
 
-		// Reset cookie info
+		// Reset cookie info.
 		setcookie( 'bp_new_group_id', $bp->groups->new_group_id, time()+60*60*24, COOKIEPATH );
 		setcookie( 'bp_completed_create_steps', base64_encode( json_encode( $bp->groups->completed_create_steps ) ), time()+60*60*24, COOKIEPATH );
 
 		// If we have completed all steps and hit done on the final step we
-		// can redirect to the completed group
+		// can redirect to the completed group.
 		$keys = array_keys( $bp->groups->group_creation_steps );
 		if ( count( $bp->groups->completed_create_steps ) == count( $keys ) && bp_get_groups_current_create_step() == array_pop( $keys ) ) {
@@ -298,5 +298,5 @@
 	}
 
-	// Remove invitations
+	// Remove invitations.
 	if ( 'group-invites' === bp_get_groups_current_create_step() && ! empty( $_REQUEST['user_id'] ) && is_numeric( $_REQUEST['user_id'] ) ) {
 		if ( ! check_admin_referer( 'groups_invite_uninvite_user' ) ) {
@@ -316,5 +316,5 @@
 	}
 
-	// Group avatar is handled separately
+	// Group avatar is handled separately.
 	if ( 'group-avatar' == bp_get_groups_current_create_step() && isset( $_POST['upload'] ) ) {
 		if ( ! isset( $bp->avatar_admin ) ) {
@@ -323,19 +323,17 @@
 
 		if ( !empty( $_FILES ) && isset( $_POST['upload'] ) ) {
-			// Normally we would check a nonce here, but the group save nonce is used instead
-
-			// Pass the file to the avatar upload handler
+			// Normally we would check a nonce here, but the group save nonce is used instead.
+			// Pass the file to the avatar upload handler.
 			if ( bp_core_avatar_handle_upload( $_FILES, 'groups_avatar_upload_dir' ) ) {
 				$bp->avatar_admin->step = 'crop-image';
 
-				// Make sure we include the jQuery jCrop file for image cropping
+				// Make sure we include the jQuery jCrop file for image cropping.
 				add_action( 'wp_print_scripts', 'bp_core_add_jquery_cropper' );
 			}
 		}
 
-		// If the image cropping is done, crop the image and save a full/thumb version
+		// If the image cropping is done, crop the image and save a full/thumb version.
 		if ( isset( $_POST['avatar-crop-submit'] ) && isset( $_POST['upload'] ) ) {
-			// Normally we would check a nonce here, but the group save nonce is used instead
-
+			// Normally we would check a nonce here, but the group save nonce is used instead.
 			if ( !bp_core_avatar_handle_crop( array( 'object' => 'group', 'avatar_dir' => 'group-avatars', 'item_id' => $bp->groups->current_group->id, 'original_file' => $_POST['image_src'], 'crop_x' => $_POST['x'], 'crop_y' => $_POST['y'], 'crop_w' => $_POST['w'], 'crop_h' => $_POST['h'] ) ) )
 				bp_core_add_message( __( 'There was an error saving the group profile photo, please try uploading again.', 'buddypress' ), 'error' );
@@ -364,5 +362,5 @@
 		return false;
 
-	// Nonce check
+	// Nonce check.
 	if ( !check_admin_referer( 'groups_join_group' ) )
 		return false;
@@ -370,8 +368,8 @@
 	$bp = buddypress();
 
-	// Skip if banned or already a member
+	// Skip if banned or already a member.
 	if ( !groups_is_user_member( bp_loggedin_user_id(), $bp->groups->current_group->id ) && !groups_is_user_banned( bp_loggedin_user_id(), $bp->groups->current_group->id ) ) {
 
-		// User wants to join a group that is not public
+		// User wants to join a group that is not public.
 		if ( $bp->groups->current_group->status != 'public' ) {
 			if ( !groups_check_user_has_invite( bp_loggedin_user_id(), $bp->groups->current_group->id ) ) {
@@ -381,5 +379,5 @@
 		}
 
-		// User wants to join any group
+		// User wants to join any group.
 		if ( !groups_join_group( $bp->groups->current_group->id ) )
 			bp_core_add_message( __( 'There was an error joining the group.', 'buddypress' ), 'error' );
@@ -417,14 +415,14 @@
 	}
 
-	// Nonce check
+	// Nonce check.
 	if ( ! check_admin_referer( 'groups_leave_group' ) ) {
 		return false;
 	}
 
-	// User wants to leave any group
+	// User wants to leave any group.
 	if ( groups_is_user_member( bp_loggedin_user_id(), bp_get_current_group_id() ) ) {
 		$bp = buddypress();
 
-		// Stop sole admins from abandoning their group
+		// Stop sole admins from abandoning their group.
 		$group_admins = groups_get_group_admins( bp_get_current_group_id() );
 
@@ -473,5 +471,5 @@
 	}
 
-	// Sort the steps by their position key
+	// Sort the steps by their position key.
 	ksort($temp);
 	unset($bp->groups->group_creation_steps);
@@ -510,5 +508,5 @@
 function groups_action_group_feed() {
 
-	// get current group
+	// Get current group.
 	$group = groups_get_current_group();
 
@@ -516,11 +514,11 @@
 		return false;
 
-	// if group isn't public or if logged-in user is not a member of the group, do
-	// not output the group activity feed
+	// If group isn't public or if logged-in user is not a member of the group, do
+	// not output the group activity feed.
 	if ( ! bp_group_is_visible( $group ) ) {
 		return false;
 	}
 
-	// setup the feed
+	// Set up the feed.
 	buddypress()->activity->feed = new BP_Activity_Feed( array(
 		'id'            => 'group',
Index: /trunk/src/bp-groups/bp-groups-activity.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-activity.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-activity.php	(revision 10373)
@@ -54,5 +54,5 @@
 	// These actions are for the legacy forums
 	// Since the bbPress plugin also shares the same 'forums' identifier, we also
-	// check for the legacy forums loader class to be extra cautious
+	// check for the legacy forums loader class to be extra cautious.
 	if ( bp_is_active( 'forums' ) && class_exists( 'BP_Forums_Component' ) ) {
 		bp_activity_set_action(
@@ -91,5 +91,4 @@
  * @param string $action   Static activity action.
  * @param object $activity Activity data object.
- *
  * @return string
  */
@@ -123,5 +122,4 @@
  * @param string $action   Static activity action.
  * @param object $activity Activity data object.
- *
  * @return string
  */
@@ -138,10 +136,10 @@
 
 	// Legacy filters (do not follow parameter patterns of other activity
-	// action filters, and requires apply_filters_ref_array())
+	// action filters, and requires apply_filters_ref_array()).
 	if ( has_filter( 'groups_activity_membership_accepted_action' ) ) {
 		$action = apply_filters_ref_array( 'groups_activity_membership_accepted_action', array( $action, $user_link, &$group ) );
 	}
 
-	// Another legacy filter
+	// Another legacy filter.
 	if ( has_filter( 'groups_activity_accepted_invite_action' ) ) {
 		$action = apply_filters_ref_array( 'groups_activity_accepted_invite_action', array( $action, $activity->user_id, &$group ) );
@@ -166,5 +164,4 @@
  * @param  string $action   Static activity action.
  * @param  object $activity Activity data object.
- *
  * @return string
  */
@@ -221,5 +218,4 @@
  *
  * @param array $activities Array of activity items.
- *
  * @return array
  */
@@ -243,5 +239,5 @@
 		// TEMPORARY - Once the 'populate_extras' issue is solved
 		// in the groups component, we can do this with groups_get_groups()
-		// rather than manually
+		// rather than manually.
 		$uncached_ids = array();
 		foreach ( $group_ids as $group_id ) {
@@ -271,6 +267,6 @@
  * @since 2.2.0
  *
- * @param array $retval Empty array by default
- * @param array $filter Current activity arguments
+ * @param array $retval Empty array by default.
+ * @param array $filter Current activity arguments.
  *
  * @return array
@@ -278,5 +274,5 @@
 function bp_groups_filter_activity_scope( $retval = array(), $filter = array() ) {
 
-	// Determine the user_id
+	// Determine the user_id.
 	if ( ! empty( $filter['user_id'] ) ) {
 		$user_id = $filter['user_id'];
@@ -287,5 +283,5 @@
 	}
 
-	// Determine groups of user
+	// Determine groups of user.
 	$groups = groups_get_user_groups( $user_id );
 	if ( empty( $groups['groups'] ) ) {
@@ -318,5 +314,5 @@
 		$show_hidden,
 
-		// overrides
+		// Overrides.
 		'override' => array(
 			'filter'      => array( 'user_id' => 0 ),
@@ -355,5 +351,5 @@
 	}
 
-	// Set the default for hide_sitewide by checking the status of the group
+	// Set the default for hide_sitewide by checking the status of the group.
 	$hide_sitewide = false;
 	if ( !empty( $args['item_id'] ) ) {
@@ -391,5 +387,4 @@
  * @param int $group_id Optional. The ID of the group whose last_activity is
  *                      being updated. Default: the current group's ID.
- *
  * @return bool|null False on failure.
  */
@@ -419,15 +414,14 @@
  * @param int $user_id  ID of the user joining the group.
  * @param int $group_id ID of the group.
- *
  * @return bool|null False on failure.
  */
 function bp_groups_membership_accepted_add_activity( $user_id, $group_id ) {
 
-	// Bail if Activity is not active
+	// Bail if Activity is not active.
 	if ( ! bp_is_active( 'activity' ) ) {
 		return false;
 	}
 
-	// Get the group so we can get it's name
+	// Get the group so we can get it's name.
 	$group = groups_get_group( array( 'group_id' => $group_id ) );
 
@@ -443,5 +437,5 @@
 	$action = apply_filters_ref_array( 'groups_activity_membership_accepted_action', array( sprintf( __( '%1$s joined the group %2$s', 'buddypress' ), bp_core_get_userlink( $user_id ), '<a href="' . bp_get_group_permalink( $group ) . '">' . esc_attr( $group->name ) . '</a>' ), $user_id, &$group ) );
 
-	// Record in activity streams
+	// Record in activity streams.
 	groups_record_activity( array(
 		'action'  => $action,
@@ -461,5 +455,4 @@
  * @param  BP_Groups_Group $old_group      Group object before the details had been changed.
  * @param  bool            $notify_members True if the admin has opted to notify group members, otherwise false.
- *
  * @return int|bool The ID of the activity on success. False on error.
  */
@@ -475,5 +468,5 @@
 	}
 
-	// If the admin has opted not to notify members, don't post an activity item either
+	// If the admin has opted not to notify members, don't post an activity item either.
 	if ( empty( $notify_members ) ) {
 		return;
@@ -557,13 +550,13 @@
 function bp_groups_leave_group_delete_recent_activity( $group_id, $user_id ) {
 
-	// Bail if Activity component is not active
+	// Bail if Activity component is not active.
 	if ( ! bp_is_active( 'activity' ) ) {
 		return;
 	}
 
-	// Get the member's group membership information
+	// Get the member's group membership information.
 	$membership = new BP_Groups_Member( $user_id, $group_id );
 
-	// Check the time period, and maybe delete their recent group activity
+	// Check the time period, and maybe delete their recent group activity.
 	if ( time() <= strtotime( '+5 minutes', (int) strtotime( $membership->date_modified ) ) ) {
 		bp_activity_delete( array(
